# Uses of Enum Class
org.eclipse.net4j.connector.ConnectorState

Packages that use ConnectorState
Package
Description
org.eclipse.net4j.connector
The Net4j transport layer concepts for dealing with connectors.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of ConnectorState in org.eclipse.net4j.connector

Methods in org.eclipse.net4j.connector that return ConnectorState
Modifier and Type
Method
Description
`ConnectorState`
IConnectorStateEvent.`getNewState()`
The new state of the `IConnector` that sent this event.
`ConnectorState`
IConnectorStateEvent.`getOldState()`
The old state of the `IConnector` that sent this event.
`ConnectorState`
IConnector.`getState()`
Returns the current state of this connector.
`static ConnectorState`
ConnectorState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConnectorState[]`
ConnectorState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of ConnectorState in org.eclipse.spi.net4j

Methods in org.eclipse.spi.net4j that return ConnectorState
Modifier and Type
Method
Description
`ConnectorState`
Connector.`getState()`
Methods in org.eclipse.spi.net4j with parameters of type ConnectorState
Modifier and Type
Method
Description
`void`
Connector.`setState(ConnectorState newState)`